#
# spec file for package ktorrent (Version 2.1.3)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           ktorrent
BuildRequires:  gmp-devel kdelibs3-devel
URL:            http://ktorrent.pwsp.net/
License:        GNU General Public License (GPL)
Group:          Productivity/Networking/Other
Summary:        KDE BitTorrent Client
Version:        2.1.3
Release:        1
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define rversion %{version}
Source:         %{name}-%{rversion}.tar.bz2
Patch2:         remove-links.diff
Patch4:         no-geoip-db.diff
Patch10:        ktorrent-fix-columns.diff
Patch15:        ktorrent-fix-compiler_warning.diff
Patch16:        disable-DHT.diff

%description
Torrent is a BitTorrent program for KDE. Its main features are: *
   Download of torrent files

* Upload speed capping, seeing that most people cannot upload
   infinite amounts of data

* Internet searching using the BitTorrent Web site's search engine

* UDP trackers



Authors:
--------
    Jois Guisson <jrois.guisson@gmail.com>

%prep
%setup -q -n %{name}-%{rversion}
%patch2 -p1
%patch4 -p1
%patch10
%patch15
%patch16
. /etc/opt/kde3/common_options
update_admin

%build
%if %suse_version > 1000
export RPM_OPT_FLAGS="$RPM_OPT_FLAGS -fstack-protector"
%endif
. /etc/opt/kde3/common_options
./configure $configkde
do_make %{?jobs:-j %jobs}

%install
. /etc/opt/kde3/common_options
make DESTDIR=$RPM_BUILD_ROOT install
%suse_update_desktop_file %name Network FileTransfer
%find_lang %name

%pre
%run_ldconfig

%post
%run_ldconfig

%files -f %name.lang
%defattr(-,root,root)
%dir /opt/kde3/share/icons/hicolor/16x16
%dir /opt/kde3/share/icons/hicolor/32x32
%dir /opt/kde3/share/icons/hicolor/128x128
%dir /opt/kde3/share/icons/hicolor/128x128/apps
%dir /opt/kde3/share/icons/hicolor/16x16/apps
%dir /opt/kde3/share/icons/hicolor/32x32/apps
%dir /opt/kde3/share/icons/hicolor/48x48
%dir /opt/kde3/share/icons/hicolor/48x48/apps
%dir /opt/kde3/share/icons/hicolor/64x64
%dir /opt/kde3/share/icons/hicolor/64x64/apps
%dir /opt/kde3/share/icons/hicolor/scalable
%dir /opt/kde3/share/icons/hicolor/scalable/apps
/opt/kde3/bin/*
/opt/kde3/share/icons/*/*/*/*
/opt/kde3/share/appl*/*/*.desktop
/opt/kde3/share/apps/*
/opt/kde3/%_lib/kde3/*
/opt/kde3/%_lib/libktorrent.*
/opt/kde3/%_lib/libktorrent-%{version}.so
/opt/kde3/share/config.kcfg/*.kcfg
/opt/kde3/share/services/*.desktop
/opt/kde3/share/servicetypes/*.desktop

%changelog
* Tue Apr 03 2007 - dmueller@suse.de
- update to 2.1.3:
  * really fix file overwriting vulnerability
  * crash fix
* Sat Mar 10 2007 - dmueller@suse.de
- update to 2.1.2:
  * file overwriting vulnerability
  * chunk id overflow vulnerability
* Tue Mar 06 2007 - stbinner@suse.de
- update to version 2.1.1:
  * Rewrite of webserver
  * New webgui : coldmilk
  * Networking thread has been split up in 2 threads, one for
  upload, one for download
  * Significant speed improvements when downloading over a LAN
* Fri Feb 09 2007 - stbinner@suse.de
- port and re-enable patch 16
* Mon Feb 05 2007 - stbinner@suse.de
- update to version 2.1 release
* Thu Jan 04 2007 - stbinner@suse.de
- update to version 2.1rc1:
  * Peer Exchange (µTorrent compatible)
  * Zeroconf plugin
* Sat Nov 25 2006 - wstephenson@suse.de
- update to version 2.1beta1
  * Switched the GUI to an IDEAl style GUI (like KDevelop)
  * WebGUI plugin
  * RSS plugin
  * Improvements in down and upload performance
  * Grouping feature to put torrents into groups
  * Improved search plugin, which now allows multiple searches
  * Many bug fixes
* Tue Oct 17 2006 - dmueller@suse.de
- remove geoIP database due to license issues (#188562)
* Mon Oct 16 2006 - dmueller@suse.de
- fix build on PPC
* Tue Oct 10 2006 - stbinner@suse.de
- update to version 2.0.3
  - fixes some download speed issues
  - fixes several other minor bugs
* Wed Aug 30 2006 - stbinner@suse.de
- update to version 2.0.2
  - fixes a data corruption bug
  - should get the downloading working properly again
* Mon Aug 21 2006 - stbinner@suse.de
- update to version 2.0.1
  - fixes several bugs
  - features some performance improvements
* Wed Aug 09 2006 - stbinner@suse.de
- update to version 2.0 (no changelog provided)
  - bugfixes
  - translation updates
* Wed Jul 19 2006 - stbinner@suse.de
- update to version 2.0rc1
  * bugfixes and polishing
* Tue Jun 06 2006 - stbinner@suse.de
- don't install with kdelibs conflicting x-bittorrent.desktop
* Tue May 23 2006 - adrian@suse.de
- update to version 2.0beta1
  * Speed improvements
  * Protocol encryption
  * Bandwith scheduling
  * File prioritization for multifile torrents
  * Directory scanner for torrent files
  * Many bug fixes
- disable experimental DHT for now
* Sun Apr 16 2006 - dkukawka@suse.de
- updated/added upstream commited changes:
  - ktorrent-fix-german-translation.diff: updated german
  translation file
  - ktorrent-fix-i18n-strings.diff: fixed typo in i18n string and
  merged back to translations
* Tue Mar 07 2006 - dkukawka@suse.de
- fixed some strings in german translation (related to bug #154683
  and upstram changes)
* Thu Mar 02 2006 - dkukawka@suse.de
- fixed german translation for the plugin settings
* Tue Feb 07 2006 - ro@suse.de
- fix build for < 10.1
* Wed Feb 01 2006 - stbinner@suse.de
- update to 1.2 final
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 17 2006 - stbinner@suse.de
- update to 1.2rc2
* Mon Jan 16 2006 - dmueller@suse.de
- use -fstack-protector
* Thu Jan 05 2006 - dkukawka@suse.de
- added patches:
  - ktorrent-fix-columns.diff (Added focus to all collums in the
  ListView objects)
  - ktorrent-fix-columns_save_restore_ktorrentview.diff (fix store
  columns settings and enable change wide of columns)
  - ktorrent-fix-KBytesPerSecToString.diff
  - ktorrent-fix-keep_seeding.diff (fixed torrentFinished to
  respect "Keep seeding after download has finished")
  - ktorrent-fix-remove-unneeded.diff (removed unneeded code)
  - ktorrent-fix-compiler_warning.diff
* Mon Jan 02 2006 - stbinner@suse.de
- update to 1.2rc1 (#135481)
* Thu Oct 13 2005 - dmueller@suse.de
- update to BRANCH
* Tue Oct 11 2005 - dmueller@suse.de
- update 1.1 final
* Wed Sep 07 2005 - adrian@suse.de
- remove links to some search engine with maybe legal problems
* Tue Sep 06 2005 - dmueller@suse.de
- update 1.1rc1 (#104905)
* Fri Aug 05 2005 - adrian@suse.de
- fix build for released non-PLUS distributions
* Fri Jul 22 2005 - adrian@suse.de
- fix file list
* Fri Jul 22 2005 - adrian@suse.de
- create initial package of version 1.0
